Google Web Toolkit
Search Google Code:

# Class SerializationPolicy

public class SerializationPolicy
extends Object
This is an abstract class for representing the serialization policy for a given module and RemoteService.

## Methods

shouldDeserializeFields(Class) | Returns `true` if the class' fields should be deserialized.
shouldSerializeFields(Class) | Returns `true` if the class' fields should be serialized.
validateDeserialize(Class) | Validates that the specified class should be deserialized from a stream.
validateSerialize(Class) | Validates that the specified class should be serialized into a stream.

## Method Detail

### shouldDeserializeFields

public abstract boolean shouldDeserializeFields(Class clazz)
Returns `true` if the class' fields should be deserialized.

#### Parameters

clazz
  the class to test

#### Return Value

`true` if the class' fields should be deserialized

### shouldSerializeFields

public abstract boolean shouldSerializeFields(Class clazz)
Returns `true` if the class' fields should be serialized.

#### Parameters

clazz
  the class to test

#### Return Value

`true` if the class' fields should be serialized

### validateDeserialize

public abstract void validateDeserialize(Class clazz)
throws SerializationException
Validates that the specified class should be deserialized from a stream.

#### Parameters

clazz
  the class to validate

### validateSerialize

public abstract void validateSerialize(Class clazz)
throws SerializationException
Validates that the specified class should be serialized into a stream.

#### Parameters

clazz
  the class to validate